# Deezer

## Desktop APP

The Deezer Windows desktop APP is an Electron Chromium based webapp. JAWS can not focus on the webapp when focus moved to Deezer as it has a banner and it handles the focus.

To fix this issue we iterate over the APP on every focus change to Deezer and force JAWS to focus on the content of the WebApp.

## Working features
- Switch to APP easily, do not need to move the focus by hand to the webapp with mouse, touch cursor or menu open-close.
- Volume change up and down with CTRL+up and down arrow keys.

## Todo and known issues
- Do not announce the 'selected' when changing track with SHIFT+left and right arrow keys.
- Find a method to open the local context menu off the APP as it is only available as an unlabelled graphic on the banner.
- Fix the issue that with disabled PC cursor can not move with tab key after focus change. Quick fix to after focus change press tab and after that turn the virtual PC cursor off when needed.
- Announce the current track to INS+t (not only the Deezer APP name).
- Announce track title when switching tracks out of an edit field.
